/*
   An example of nested loops.

   This version prints out a "checkerboard" pattern, and the
   even and odd rows do have the same length (change the space
   to some other character to see this). But this version is
   not as simple as it could be.
*/

public class CheckerBoard3
{
   public static void main( String[] args )
   {
      final int NUMBER_OF_COLUMNS = 16;
      final int NUMBER_OF_ROWS = 8;

      for (int rowCounter = 0; rowCounter < NUMBER_OF_ROWS; rowCounter++)
      {
         int evenOrOddRow = rowCounter % 2;
         for (int columnCounter = 0; columnCounter < NUMBER_OF_COLUMNS; columnCounter++)
         {
            if (columnCounter % 2 == evenOrOddRow)
               System.out.print("*");
            else
               System.out.print(" ");
         }
         System.out.println(); // start a new line
      }
   }//main()
}
