/*
   Based on,
   http://math.hws.edu/javanotes/c3/s4.html#control.4.3

   and
   https://books.trinket.io/thinkjava/chapter7.html#sec84
   https://books.trinket.io/thinkjava/chapter7.html#sec85
*/

public class MultiplicationTable_v2
{
   public static void main(String[] args)
   {
      // print the first two rows (the "heading") of the table
      // 1st row
      System.out.print(" * |");
      for (int rowNumber = 1;  rowNumber <= 12;  rowNumber++ )
      {
         // print in 4-character columns
         System.out.printf( "%4d", rowNumber );
      }
      System.out.println();
      // 2nd row
      System.out.println("---+------------------------------------------------");

      for (int rowNumber = 1;  rowNumber <= 12;  rowNumber++ )
      {
         // print a 2-character column
         System.out.printf("%2d |", rowNumber);

         for (int N = 1;  N <= 12;  N++ )
         {
            // print in 4-character columns
            System.out.printf( "%4d", N * rowNumber );
         }
         System.out.println();
      }
   }
}
