/*
   An example of nested loops.

   This program prints out a table of numbers.
   The number of columns in the table can be changed.

   Unfortunately, we do not get well aligned
   columns.
*/

public class PrintTable1
{
   public static void main( String[] args )
   {
      final int NUMBER_OF_COLUMNS = 8;
      final int FIRST_NUMBER = 0;
      final int LAST_NUMBER = 99;

      int number_of_rows = 1 + ((LAST_NUMBER - FIRST_NUMBER) / NUMBER_OF_COLUMNS);

      int number = FIRST_NUMBER;
      for (int rowCounter = 0; rowCounter < number_of_rows; rowCounter++)
      {
         int columnCounter = 0;
         while ((columnCounter < NUMBER_OF_COLUMNS) && (number <= LAST_NUMBER))
         {
            System.out.print(number + " ");
            number++;
            columnCounter++;
         }
         System.out.println(); // start a new line
      }
   }
}
