/*
   An example of nested loops.

   This program prints out rows containing alternating *'s
   and spaces. How can you modify the program so that it prints
   out a "checkerboard" pattern? That is, have every * above
   and below a space, and visa versa.
*/

public class CheckerBoard1
{
   public static void main( String[] args )
   {
      final int NUMBER_OF_COLUMNS = 16;
      final int NUMBER_OF_ROWS = 8;

      for (int rowCounter = 0; rowCounter < NUMBER_OF_ROWS; rowCounter++)
      {
         for (int columnCounter = 0; columnCounter < NUMBER_OF_COLUMNS; columnCounter++)
         {
            if (columnCounter % 2 == 0) // check for even or odd column
               System.out.print("*");
            else
               System.out.print(" ");
         }
         System.out.println(); // start a new line
      }
   }//main()
}
