/*
   An example of nested loops.

   Here is a refactored version of CheckerBoard3.java that
   is much simpler. In fact, if you compare this program
   to the first version, CheckerBoard.java, you can see
   that this program makes only one small change.
*/

public class CheckerBoard4
{
   public static void main( String[] args )
   {
      final int NUMBER_OF_COLUMNS = 16;
      final int NUMBER_OF_ROWS = 8;

      for (int rowCounter = 0; rowCounter < NUMBER_OF_ROWS; rowCounter++)
      {
         for (int columnCounter = 0; columnCounter < NUMBER_OF_COLUMNS; columnCounter++)
         {
            if (columnCounter % 2 == rowCounter % 2)
               System.out.print("*");
            else
               System.out.print(" ");
         }
         System.out.println(); // start a new line
      }
   }//main()
}
