/*
   An example of nested loops.

   This program prints out a table of numbers.
   The number of columns in the table can be changed.

   The columns are always aligned and the column
   width is always the correct size.
*/

public class PrintTable4
{
   public static void main( String[] args )
   {
      final int NUMBER_OF_COLUMNS = 8;
      final int FIRST_NUMBER = 0;   // Try -10
      final int LAST_NUMBER = 999;  // Try 1,010 or 10,010

      int number_of_rows = 1 + ((LAST_NUMBER - FIRST_NUMBER) / NUMBER_OF_COLUMNS);

      int number = FIRST_NUMBER;
      for (int rowCounter = 0; rowCounter < number_of_rows; rowCounter++)
      {
         int columnCounter = 0;
         while ((columnCounter < NUMBER_OF_COLUMNS) && (number <= LAST_NUMBER))
         {
            int width = ("" + LAST_NUMBER).length(); // compute the width of LAST_NUMBER
            System.out.printf("%"+width+"d ", number);  // programmable width
            number++;
            columnCounter++;
         }
         System.out.println(); // start a new line
      }
   }
}
