/*
   This program prints out a table of numbers
   using a single for-loop (rather than nested
   loops). The number of columns in the table
   can be changed.

   The columns are always aligned and the column
   width is always the correct size.
*/

public class PrintTable5
{
   public static void main( String[] args )
   {
      final int NUMBER_OF_COLUMNS = 8;
      final int FIRST_NUMBER = 0;
      final int LAST_NUMBER = 99;  // Try 110 or 1010 or 10010

      for (int number = FIRST_NUMBER; number <= LAST_NUMBER; number++)
      {
         int width = ("" + LAST_NUMBER).length(); // compute the width of LAST_NUMBER
         System.out.printf("%"+width+"d ", number);  // programmable width
         if ( ((number+1) % NUMBER_OF_COLUMNS == 0) || (number == LAST_NUMBER) )
         {
            System.out.println(); // start a new line
         }
      }
   }
}
